#!/bin/bash

# Run as root
# Kitty tab bar: https://github.com/kovidgoyal/kitty/discussions/4447#discussioncomment-3240635

ln -s ~/dotfiles/.conf/hypr ~/.config/hypr
ln -s ~/dotfiles/.conf/hyprpaper ~/.config/hyprpaper
ln -s ~/dotfiles/.conf/fastfetch ~/.config/fastfetch
ln -s ~/dotfiles/.conf/mimeapps.list ~/.config/mimeapps.list
ln -s ~/dotfiles/wallpapers ~/wallpapers

# Move application .desktop files
# Desktop files are used to create recognizable applications or force apps to use wayland
cp .local/share/applications/* ~/.local/share/applications/

# Hyperland stuff
# uwsm needed for launching hypr on boot
pacman -S uwsm hyprland xdg-desktop-portal-hyprland hyprpaper

# Programs for app theming (fonts, cursor)
# RUN THESE PROGRAMS TO THEME STUFF
pacman -S nwg-look qt6ct

# Basic essentials
pacman -S waybar dunst libnotify wofi pipewire brightnessctl man-db man-pages 

# Yazi dependencies (but also useful otherwise)
pacman -S yazi ffmpeg poppler fd p7zip

# Other software
# Use amdctl for undervolting
pacman -S btop neovim nano grim slurp dust fastfetch imv wl-clipboard amdctl

# Font
# Delete all fonts in /usr/share/fonts
sudo pacman -S ttf-inconsolata-lgc-nerd
